/*
 * aNNiMON 2010
 * For more info visit http://annimon.com/
 */
package modules.mascot;

import com.one.Application;
import com.one.PlayList;
import java.io.*;

/**
 *
 * @author aNNiMON
 */
public class MascotViewer implements Application
{
	public void openFile(String filename, PlayList filelist) throws IOException
	{
		//#if MascotV3 == "true"

		Lib_mcv3 mc = Lib_mcv3.getInstance();

		if(filelist != null)
		{
			mc.setPlayList(filelist);
		}

		mc.init(Lib_mcv3.getFileData(filename), null, filename);

		//#endif
	}
}
